Bug 1543525 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.8.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.8.0
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1518407 1543435 1543467 1543532
Blocks: 1519573 1543396 1543402
TreeView+ depends on / blocked
 
Reported: 2018-02-08 16:04 UTC by Alexandre Kieling
Modified: 2018-07-17 10:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Use of javascript Array/String methods not supported by IE11 (Array.find, Array.findIndex, String.startsWith, String.endsWith) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported methods with the Lodash library equivalent methods Result: A-MQ pages show their content as expected
Clone Of: 1543467
Environment:
Last Closed: 2018-07-17 10:45:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Alexandre Kieling 2018-02-12 14:02:50 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2790

Comment 2 Alexandre Kieling 2018-03-02 13:23:05 UTC
Is this fix available for testing?

Comment 4 Junqi Zhao 2018-03-09 06:16:11 UTC
Alexandre,

Since 3.8 won't be released to customer and we have one same 3.9 defect[1] which is already fixed, do we still need to verify it, I think we could close it now

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1543532

Comment 5 Junqi Zhao 2018-03-12 01:03:41 UTC
Set to VERIFIED, testing is passed on OCP 3.9

Comment 6 Alexandre Kieling 2018-03-19 12:16:11 UTC
Junqi,

I think you don't need to verify version 3.8. Please confirm with Jessica Forrester <jforrest@redhat.com> or Sam Padgett <spadgett@redhat.com>.


Note You need to log in before you can comment on or make changes to this bug.